=== debian/changelog ===
wcd (5.1.2-1) unstable; urgency=low

  * New upstream release
    - Update to packaging format "3.0 (quilt)".
  * debian/*.sh
    - Update path to /usr/bin.
  * debian/control
    - (Build-Depends): Update to debhelper 7.1.
    - (Standards-Version): Update to 3.8.4.
  * debian/debian-compile.mk
    - Delete unused file.
  * debian/NEWS
    - New file
  * debian/patches
    - (20): Fix curses.
  * debian/rules
    - Move to dh(1)
  * debian/source/format
     - New file.
  * debian/wcd.manpages
    - Delete unused file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 25 May 2010 11:23:18 +0300

wcd (5.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 14 Jan 2010 20:11:46 +0200

wcd (5.1.0-2) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/clean
    - Move content from debian/rules for dh(1).
  * debian/control
    - (Depends): add ${misc:Depends} for debhelper.
  * debian/debian-compile.mk
    - New file.
  * debian/rules
    - Remove rules obsoleted by dh(1).
    - (CFLAGS_EXTRA): New. Pass strict compiler flags.
  * debian/source/format
    - New file.
  * debian/ttyload.{clean,manpages}
    - Move content from debian/rules for dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 17 Dec 2009 19:00:48 +0200

wcd (5.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Build-Depends): Change to libncursesw5-dev (UTF-8).
    - (Standards-Version): update to 3.8.3.
  * debian/doc-base
    - New (lintian).
  * debian/rules
    - (build.stamp): enable Unicode support by adding UCS=1.
    - (install): Modify for new upstream version.
  * debian/patches
    - Remove. All accepted by upstream maintainer.
  * debian/wcd-include.sh
    - Add missing parenthesis (Closes: #551588).
    - Add quoting. Remove 'test' calls and use POSIX [].
    - Add -z option.
    - Detect Emacs M-x shell and turn on plain curses.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 02 Nov 2009 05:32:11 +0000

wcd (5.0.4-1) unstable; urgency=low

  * GENERAL INFORMATION
    - New maintainer (Closes: #540913).
    - Replace CDBS build system with debhelper.
  * New upstream release
    - Upgrade (Closes: #517321, #540986).
    - Make option -l accept second arg as ALIAS-NAME (Closes: #518280).
    - Reverse options -v -V (Closes: #518136).
  * debian/NEWS
    - Minor formatting adjustments.
    - (Changes compared to upstream): update to newest release.
  * debian/debian-vars.mk
    - New file for packaging variables.
  * debian/control
    - (Build-Depends): Add ghostscript (new upstream release).
    - (Homepage): move to top (Closes: #517378) and point to general
      project hub at Freshmeat (Closes: #517379).
    - (Standards-Version): update to 3.8.2.
    - (Vcs-*): New fields.
  * debian/dirs
    - Delete file, new upstream version uses different directories.
  * debian/patches
    - Add 10-manpage-hyphen.dpatch (Closes: #517334).
    - Add 20-manpage-pu.dpatch.
  * debian/rules
    - New file.
  * debian/watch
    - Change to Sourceforge.
  * debian/wcd-include.sh
    - Convert to pure /bin/sh (remove Bashism).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 13 Aug 2009 21:38:03 +0000

wcd (3.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Lucas Wall <lwall@debian.org>  Wed,  1 Mar 2006 23:49:03 -0300

wcd (3.1.4-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. (closes: #297448)
  * Switched to cdbs.

 -- Lucas Wall <lwall@debian.org>  Tue,  1 Mar 2005 16:02:15 -0300

wcd (3.1.3-3) unstable; urgency=low

  * Fix path to shell scripts (closes:238616)
  * Remove debconf note which had closed 237005
  (closes:238592)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 Mar 2004 19:18:45 -0700

wcd (3.1.3-2) unstable; urgency=low

  * Add debconf note that "users must read README.Debian" to
  use this package (closes:237005)
  * Add bash and csh shell fragments that users can add to their
  startup scripts.
  * Rename wcd.exe to wcd_exe

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 14 Mar 2004 15:42:17 -0700

wcd (3.1.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  9 Mar 2004 07:19:46 -0700

wcd (3.1.0-1) unstable; urgency=low

  * New upstream
  * Build with gcc-3.2
  * Move changes wrt upstream from copyright to README.Debian

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 13 Jan 2003 20:11:53 -0700

wcd (3.0.7-3) unstable; urgency=low

  * Really fix versioning problem.

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 12 Nov 2002 11:31:11 -0700

wcd (3.0.7-2) unstable; urgency=low

  * Rebuild with new glibc, should now have correct pkg dependency versioning
  (closes: 168803)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 12 Nov 2002 10:17:31 -0700

wcd (3.0.7-1) unstable; urgency=low

  * New upstream release

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Oct 2002 14:30:44 -0700

wcd (3.0.6-1) unstable; urgency=low

  * New upstream version.

  * Fix typo in short description.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  8 Sep 2002 15:53:36 -0600

wcd (3.0.5-2) unstable; urgency=low

  * Update e-mail address.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 11 Aug 2002 23:31:05 -0600

wcd (3.0.5-1) unstable; urgency=low

  * Initial release (closes: #154333)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 26 Jul 2002 00:15:53 -0600
