=== debian/control ===
Source: wcd
Section: utils
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1), libncursesw5-dev, ghostscript
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/wcd.git
Vcs-Git: git://git.debian.org/git/collab-maint/wcd.git
Homepage: http://freshmeat.net/projects/wcd

Package: wcd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: saves time typing when you want to change directories
 Wcd (Wherever Change Directory) is a program to quickly change directories.
 It saves time typing at the keyboard. One needs to type only a part of a
 directory name and wcd will jump to it. By default, wcd searches for a
 directory with a name that begins with what has been typed, but the use of
 wildcards is also fully supported.
