=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = wcd
EXE	= .exec

#  Enable international support
#  Activate unicode UTF-8 support

MAKE_OPTIONS = 	EXT=$(EXE) \
		UCS=1 \
		NLS=1 \
		CPP_FLAGS_POD=-Dunix

include debian/debian-vars.mk

override_dh_auto_build:
	$(MAKE) -C src $(MAKE_OPTIONS) man pod txt ps pdf all

override_dh_auto_clean:
	$(MAKE) -C src $(MAKE_OPTIONS) clean

override_dh_auto_install:
	$(MAKE) -C src \
		DESTDIR=$(PKGDIR) \
		prefix=/usr \
		BINDIR=$(LIBDIR) \
		DOCDIR=$(PKGDOCDIR) \
		MANDIR1=$(MAN7DIR) \
		INSTALL_OBJS_DOC_INSTALL= \
		INSTALL_OBJS_DOC_COPYING= \
		$(MAKE_OPTIONS) \
		install

	# remove /usr/share/doc/wcd-VERSION
	# Not used in Debian

	rm -rf $(PKGDOCDIR)-*/

	install -d -m 755 $(SHAREDIR)
	install -m 644 \
		debian/wcd-include.csh \
		debian/wcd-include.sh \
		$(SHAREDIR)

man:
	# target: man -- Create manual page redirection file
	install -d -m 755 $(MAN1DIR)
	man=$(MAN1DIR)/$(PACKAGE)$(EXE).1 ; \
	echo ".so man1/wcd.1.gz" > $$man ; \
	gzip --best $$man

override_dh_installchangelogs:
	dh_installchangelogs doc/whatsnew.txt

override_dh_installman: man
	dh_installman

%:
	dh $@

.PHONY: man

# End of file
