=== debian/watch ===
version=3
# old http://www.xs4all.nl/~waterlan/ wcd-([.\d]*)-src\.tar\.gz
http://sf.net/wcd/wcd-([.\d]*)-src\.tar\.gz
