=== src/Makefile ===
--- 
+++ 
@@ -48,6 +48,7 @@
 
 CC		= gcc
 STATIC		=
+STRIP		= strip
 
 ENABLE_NLS = 1
 
@@ -96,10 +97,6 @@
 # Documents for end users, not for developers:
 INSTALL_OBJS_DOC   = \
   ../doc/faq.txt \
-  ../doc/$(PACKAGE).txt \
-  ../doc/$(PACKAGE).ps \
-  ../doc/$(PACKAGE).pdf \
-  ../doc/$(PACKAGE).htm \
   ../doc/whatsnew.txt \
   ../doc/README.txt \
   ../doc/problems.txt \
@@ -112,10 +109,11 @@
 POFILES		= $(wildcard po/*.po)
 MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
 endif
-DOCFILES	= ../doc/$(PACKAGE).txt ../doc/$(PACKAGE).ps ../doc/$(PACKAGE).pdf ../doc/$(PACKAGE).htm
+DOCFILES	= ../doc/$(PACKAGE).txt ../doc/$(PACKAGE).htm ../doc/$(PACKAGE).ps ../doc/$(PACKAGE).pdf
 
 CPP		= cpp
 CPP_FLAGS_POD	= ALL
+CFLAGS_VERSION	= -DVERSION=\"$(VERSION)\" -DVERSION_DATE=\"$(VERSION_DATE)\"
 
 VERSIONSUFFIX	= -bin
 
@@ -158,10 +156,11 @@
 # ........................................................... curses ...
 
 # possible values: ncurses, curses, pdcurses or <empty>
-CURSES = ncurses
 
 ifdef UCS
 	CURSES  = ncursesw
+else
+	CURSES = ncurses
 endif
 
 ifneq (,$(CURSES))
@@ -218,7 +217,9 @@
 endif
 
 ifeq (cygwin,$(OS))
+ifdef ENABLE_NLS
 	LDFLAGS_EXTRA = -lintl -liconv -lmpr -Wl,--enable-auto-import
+endif
 endif
 
 
@@ -230,9 +231,11 @@
 
 ifeq (freebsd,$(OS))
 	# Running under FreeBSD
+ifdef ENABLE_NLS
 	CFLAGS_OS     = -I/usr/local/include
 	LDFLAGS_EXTRA = -lintl -L/usr/local/lib
 endif
+endif
 
 ifeq (Darwin, $(shell uname -s))
 	OS = Darwin
@@ -241,6 +244,7 @@
 	LDFLAGS_EXTRA = -lintl -L/usr/local/lib
 endif
 endif
+
 
 ifndef OS
 ifneq (, $(wildcard /opt/csw))
@@ -282,6 +286,7 @@
 CFLAGS	= -O2 -Wall
 
 EXTRA_CFLAGS	= -Ic3po \
+		  $(CFLAGS_VERSION) \
 		  $(CFLAGS_OS) \
 		  $(CFLAGS_UCS) \
 		  $(WDEFS) \
@@ -291,6 +296,10 @@
 
 ifdef STATIC
 	EXTRA_CFLAGS += -static
+endif
+
+ifdef ASCII_TREE
+	EXTRA_CFLAGS += -DASCII_TREE
 endif
 
 LDFLAGS		= $(LIB_CURSES) \
@@ -337,6 +346,7 @@
 	@echo "DEFS          = $(DEFS)"
 	@echo "DEFS_CURSES   = $(DEFS_CURSES)"
 	@echo "EXTRA_DEFS    = $(EXTRA_DEFS)"
+	@echo "LDFLAGS       = $(LDFLAGS)"
 	@echo "LDFLAGS_EXTRA = $(LDFLAGS_EXTRA)"
 	@echo "CFLAGS        = $(CFLAGS)"
 	@echo "CFLAGS_OS     = $(CFLAGS_OS)"
@@ -358,6 +368,8 @@
 
 %.po : $(POT)
 	msgmerge -U $@ $(POT) --backup=numbered
+	# change timestamp in case .po file was not updated.
+	touch $@
 
 %.mo : %.po
 	msgfmt -c $< -o $@
@@ -405,7 +417,7 @@
 
 mofiles: $(MOFILES)
 
-docfiles: $(DOCFILES)
+doc: $(DOCFILES)
 
 tags: $(POT)
 
@@ -425,14 +437,17 @@
 
 strip:
 	@echo "-- target: strip"
-	strip $(BIN)
+	$(STRIP) $(BIN)
 
 clean:
 	@echo "-- target: clean"
 	-rm -f \
 		$(BIN) \
+		*.exe \
 		*.o \
+		*.tmp \
 		*/*.o \
+		po/*.mo \
 		../*/*.bck \
 		../*/*.bak \
 		../*/*[#~] \
@@ -450,10 +465,8 @@
 	@echo "-- target: maintainer-clean:"
 	rm -f \
 	  man/man1/wcd1.pod \
-	  po/*.mo \
 	  man/man1/wcd.1 \
-	  $(DOCFILES) \
-	  $(MOFILES)
+	  $(DOCFILES)
 
 # 'maintainer-clean' was 'realclean' in old GNU standards.
 realclean: maintainer-clean
@@ -467,7 +480,27 @@
 	$(foreach mofile, $(MOFILES), $(MKDIR) -p -m 755 $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES ;)
 	$(foreach mofile, $(MOFILES), $(INSTALL) -m 644 $(mofile) $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
 
-install-doc: $(DOCFILES)
+install-txt: ../doc/$(PACKAGE).txt
+	@echo "-- target: install-txt"
+	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) $< $(DESTDIR)$(docdir)
+
+install-html: ../doc/$(PACKAGE).htm
+	@echo "-- target: install-html"
+	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) $< $(DESTDIR)$(docdir)
+
+install-pdf: ../doc/$(PACKAGE).pdf
+	@echo "-- target: install-pdf"
+	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) $< $(DESTDIR)$(docdir)
+
+install-ps: ../doc/$(PACKAGE).ps
+	@echo "-- target: install-ps"
+	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) $< $(DESTDIR)$(docdir)
+
+install-doc: install-txt install-html install-ps install-pdf
 	@echo "-- target: install-doc"
 	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
 	$(INSTALL_DATA) $(INSTALL_OBJS_DOC) $(DESTDIR)$(docdir)
