=== debian/changelog ===
wcd (5.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - (override_dh_auto_build): Do not build duplicate copies of
      manual pages in format: txt pdf ps.
    - (override_dh_installman): Remove copies of manual pages.
  * debian/watch
    - Prefer direct upstream URL (faster response).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 21 Nov 2010 23:31:26 +0200

wcd (5.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/compat
    - Update to 8.
  * debian/NEWS.Debian
    - Adjust indentation.
  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 13 Nov 2010 01:25:02 +0200
