=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1), libncursesw5-dev, ghostscript
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), libncursesw5-dev, ghostscript
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/wcd.git
 Vcs-Git: git://git.debian.org/git/collab-maint/wcd.git
 Homepage: http://freshmeat.net/projects/wcd
