=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 include debian/debian-vars.mk
 
 override_dh_auto_build:
-	$(MAKE) -C src $(MAKE_OPTIONS) man pod txt ps pdf all
+	$(MAKE) -C src $(MAKE_OPTIONS) man pod all
 
 override_dh_auto_clean:
 	$(MAKE) -C src $(MAKE_OPTIONS) clean
@@ -43,8 +43,9 @@
 		$(SHAREDIR)
 
 man:
-	# target: man -- Create manual page redirection file
+	# target: man
 	install -d -m 755 $(MAN1DIR)
+	# target: man - Create manual page redirection file
 	man=$(MAN1DIR)/$(PACKAGE)$(EXE).1 ; \
 	echo ".so man1/wcd.1.gz" > $$man ; \
 	gzip --best $$man
@@ -54,6 +55,10 @@
 
 override_dh_installman: man
 	dh_installman
+	# Remove copies of manual page
+	rm $(PKGDOCDIR)/wcd.pdf*
+	rm $(PKGDOCDIR)/wcd.txt*
+
 
 %:
 	dh $@
